#include "mylineedit.h"


mylineedit::mylineedit(QWidget *parent)
    : QLineEdit(parent)
{

}


void mylineedit::dropEvent(QDropEvent *event)
{
	QList<QUrl> urlList;
        QStringList list;
        if (event->mimeData()->hasUrls())
	{
                urlList = event->mimeData()->urls();

                foreach(QUrl url, urlList)
                    list << url.toString();
                emit(DropItem(list));
	}	
	event->acceptProposedAction();
}

void mylineedit::dragEnterEvent(QDragEnterEvent *event)
{
        event->acceptProposedAction();
}
