#include <contact.h>
#include <ui_contact.h>
#include <QMessageBox>

contact::contact(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::contact)
{
    ui->setupUi(this);
    //setWindowFlags(Qt::Tool);
}


void contact::ShowAddWindow(QString name,QString number)
{
    ui->name->setText( name);ui->number->setText(number);
}

void contact::Addmode(bool editmode,QString key)
{
   mode = editmode;k=key;
}

void contact::AddForm()
{
    if( ui->name->text().isEmpty() || ui->number->text().isEmpty() )
    {
        QMessageBox msgBox;
        msgBox.setText(tr("Please Enter the Details!"));
        msgBox.exec();
        return;
    }
    if(mode)
        emit(EditSignal(ui->name->text(),ui->number->text(),k));
    else
        emit(AddSignal(ui->name->text(),ui->number->text()));
    this->close();
}

