#ifndef LOGIN_H
#define LOGIN_H

#include <QDialog>
#include <QString>
#include <QHash>

namespace Ui {
    class login;
}

class login : public QDialog
{
    Q_OBJECT

public:
    explicit login(QWidget *parent = 0);
    ~login();

    bool AutoLogin();

signals:
    void Remember(bool);
    void logSuccess(QString,QString);

private slots:
    void logAccount();
    QString Post(QString);
    bool CheckError(QString);
    void changePass();
    void ChangeLang(QString);
    void ChangeLangu(bool);

public:
    Ui::login *ui;
    QHash<QString, QString> hash;

};

#endif // LOGIN_H
